DRM_VBLANK_COUNT_AND(9)

NAME
drm_vblank_count_and_time - retrieve “cooked” vblank counter value and the system timestamp corresponding to that vblank counter value.

SYNOPSIS

u32 drm_vblank_count_and_time(struct drm_device * dev, int crtc, struct timeval * vblanktime);

ARGUMENTS

dev
    DRM device

crtc
    which counter to retrieve

vblanktime
    Pointer to struct timeval to receive the vblank timestamp.

DESCRIPTION

Fetches the “cooked” vblank count value that represents the number of vblank events since the system was booted, including lost events due to modesetting activity. Returns corresponding system timestamp of the time of the vblank interval that corresponds to the current vblank counter value.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT